Subject: Re: [manet] Some comments on manet-dlep-03/ACK

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 11 Oct 2012 11:36:47 +0200

+1

So we can say:
 o  And DLEP implementations SHOULD use UDP
 o  And DLEP implementations MUST use heartbeats
 o  And DLEP implementations MUST use ACK
 etc.

AB

On 10/10/12, Thomas Clausen <[email-masked]> wrote:
>
> On Oct 10, 2012, at 9:30 AM, Teco Boot <[email-masked]> wrote:
>
>> Some thoughts on how we may get out of some issues. If we use
>> RFC 2119 SHOULD language for what is needed for a standard,
>> we can accept modified implementations.
>>
>> So we can say:
>>  o  And DLEP implementations SHOULD use UDP
>>  o  And DLEP implementations SHOULD use heartbeats
>>  o  And DLEP implementations SHOULD use ACK
>> etc.
>>
>
> Uhh, I am no great fan of SHOULD - it seems a cop-out, unless it is well
> argued under which circumstances and with which consequences one can deviate
> from the SHOULD.
>
> Generally, most SHOULD SHOULD be MUST - or so I've heard the saying go ;)
>
>> If we think TCP is overkill (I can accept that), we can specify
>> each single packet (or message) SHOULD be ACKked. This provides
>> reliability and eliminates any congestion.
>
> Not if it is a SHOULD; it may increase congestion (if someone does not ACK,
> for example, with an aggressive retransmission schedule).
>
> My preference is a much much tighter specification than generous use of
> SHOULD.
>
> Thomas
>